<GET> Job Status Details
2 min
Get /api/ais/v1.5/job_status_detailed
Job status details
Job status detail api help you track progress of your active job id.
GET
https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_status_detailed
Path Parameters
- job_idstringrequiredDescription
Header Parameters
- x-api-keystringrequiredDescription
- Org-idstringrequiredDescription
python
import requests
jobID = " << Enter Job ID >>"
url = "https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_status_detailed?job_id="+jobID+""
payload = {}
headers = {
'x-api-key': '########################################',
'Org-Id': '####################################################################################################'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)curl
jobID="<< Enter Job ID>>";
curl --location --request GET 'https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_status_detailed?job_id='${jobID}'' \
--header 'Accept: application/json' \
--header 'x-api-key: ########################################' \
--header 'Org-Id: ####################################################################################################'nodejs
var request = require('request');
jobID = '<< Enter Job ID >>'
var options = {
'method': 'GET',
'url': 'https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_status_detailed?job_id='+jobID+'',
'headers': {
'x-api-key': '########################################',
'Org-Id': '####################################################################################################'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "########################################");
myHeaders.append("Org-Id", "####################################################################################################");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
jobID="<<Enter JOB ID >>"
fetch("https://api.aws.boschaishield.com/prod/api/ais/v1.5/job_status_detailed?job_id="+ jobID+"", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));200
// 200 OK: Returns a JSON object containing the job details for every stage of vulnerability analysis & defense generation.
400
// 400 Bad request Error: Returns an error message if the application cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, etc.)403
// 403 Forbidden: Returns an error message if access to the target resource has been denied. (For example- if x-api-key value is incorrect or not given)412
// 412 Precondition failed: Returns an error message if access to the target resource has been denied. (For example- if any of the parameter value is incorrect or license has expired)429
// 429 Too Many Requests: Returns an error message if the user has sent too many requests(example 15-20 requests in 1 seconds) in a given amount of time.job_id - Enter the job id you have recevied during the model analysis to get the progress of the given job id.
For using Nodejs sample code, install npm package request
Given ample code for python is tested for Python version 3.7
Given Sample code for nodejs and javascript is tested for Node V20LTS